# QwtRect Class Reference

List of all members.

## Detailed Description

Some extensions for QRect

Deprecated:
  Use QwtClipper instead.

Definition at line 22 of file qwt_rect.h.

## Public Member Functions

| QwtRect ()
| QwtRect (const QRect &r)
QwtPolygon | clip (const QwtPolygon &) const

## Constructor & Destructor Documentation

QwtRect::QwtRect | ( |  | ) |

Constructor.

Definition at line 14 of file qwt_rect.cpp.

QwtRect::QwtRect | ( | const QRect & | r | ) |

Copy constructor.

Definition at line 20 of file qwt_rect.cpp.

## Member Function Documentation

QwtPolygon QwtRect::clip | ( | const QwtPolygon & |  | ) | const

Sutherland-Hodgman polygon clipping.

Definition at line 26 of file qwt_rect.cpp.

References QwtClipper::clipPolygon().